%define rel	21

Summary:	User interface for the connman network connection manager
Name:		econnman
Version:	1.1
Release:	%mkrel %rel
License:	LGPLv2+
Group:		Graphical desktop/Enlightenment
URL:		https://www.enlightenment.org/
Source:		%{name}-%{version}.tar.gz
Patch1:		econnman-1.1-fix-desktop.patch
Patch2:		econnman-1.1-python3.patch
BuildArch:	noarch
BuildRequires:	efl
BuildRequires:	pkgconfig(eina)
BuildRequires:	pkgconfig(python3)

Requires:	connman
Requires:	python3-efl

%description
Econnman is a user interface for the connman network
connection manager.

%prep
%setup -q
%autopatch -p1

%build
export PYTHON=%{__python3}
%configure
%make_build

%install
%make_install

%files
%doc AUTHORS COPYING README
%{_bindir}/%{name}-bin
%{_datadir}/applications/econnman-agent.desktop
%{_datadir}/applications/econnman.desktop
%{_datadir}/%{name}/theme/default.edj
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/theme


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.1-21.mga10
+ Revision: 2214230
- Mageia 10 Mass Rebuild

* Sun Apr 03 2022 umeabot <umeabot> 1.1-20.mga9
+ Revision: 1842362
- Mageia 9 Mass Rebuild

* Sun Mar 21 2021 daviddavid <daviddavid> 1.1-19.mga9
+ Revision: 1706373
- rebuild for python 3.9

* Wed Oct 14 2020 eatdirt <eatdirt> 1.1-18.mga8
+ Revision: 1635876
- Rebuild for new efl and python-efl

* Wed May 20 2020 eatdirt <eatdirt> 1.1-17.mga8
+ Revision: 1586383
- Rebuild for new efl

* Tue May 05 2020 eatdirt <eatdirt> 1.1-16.mga8
+ Revision: 1580519
- Rebuild for new efl

* Mon Feb 24 2020 daviddavid <daviddavid> 1.1-15.mga8
+ Revision: 1550029
- fix python shebangs
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Apr 17 2019 eatdirt <eatdirt> 1.1-14.mga7
+ Revision: 1392010
- Rebuild for new efl

* Thu Sep 20 2018 eatdirt <eatdirt> 1.1-13.mga7
+ Revision: 1284221
- Rebuild for new efl

* Thu Sep 20 2018 umeabot <umeabot> 1.1-12.mga7
+ Revision: 1278057
- Mageia 7 Mass Rebuild

* Thu Mar 15 2018 eatdirt <eatdirt> 1.1-11.mga7
+ Revision: 1209685
- Rebuild for new efl

* Sun Dec 04 2016 daviddavid <daviddavid> 1.1-10.mga6
+ Revision: 1071917
- add more upstream translations on desktop files

* Sat Dec 03 2016 daviddavid <daviddavid> 1.1-9.mga6
+ Revision: 1071907
- fix desktop files icon not displayed in menu application
- add some upstream translations on desktop files
- make it noarch thus really fixing empty debuginfo
- fix ownership of data dir

* Tue Nov 29 2016 eatdirt <eatdirt> 1.1-8.mga6
+ Revision: 1070964
- Rebuild for new efl

* Sun Feb 14 2016 umeabot <umeabot> 1.1-7.mga6
+ Revision: 959981
- Mageia 6 Mass Rebuild

* Wed Sep 09 2015 neoclust <neoclust> 1.1-6.mga6
+ Revision: 874983
- Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 1.1-5.mga5
+ Revision: 747290
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1-4.mga5
+ Revision: 678952
- Mageia 5 Mass Rebuild

* Sun Jul 20 2014 trem <trem> 1.1-3.mga5
+ Revision: 654748
- bump version to force rebuild

* Sat Mar 22 2014 trem <trem> 1.1-2.mga5
+ Revision: 606549
- bump version to rebuild
- clean .spec

* Sun Mar 09 2014 trem <trem> 1.1-1.mga5
+ Revision: 601587
- fix desktop (add a X- to enlightment)
- add description
- imported package econnman

